Package com.netrics.likeit

## Class NetricsIdxStats

- java.lang.Object
- - com.netrics.likeit.NetricsIdxStats

- All Implemented Interfaces:
    `NetricsCommonStats`, `java.io.Serializable`

      public class NetricsIdxStats
      extends java.lang.Object
      implements java.io.Serializable

  This class contains information about a partitioned index in the ibi™ Patterns - Search server.
  It can be used to get information about the indexes for a table or set of tables. These objects are created and returned by the NetricsServerInterface idxlist method. Normally there is no need to explicitly create a NetricsIdxStats object.
  See Also:
    `NetricsServerInterface.idxlist(java.lang.String[])`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetricsIdxStats​(NetricsLpar lpar)` | Create a NetricsIdxStats object from the returned LPAR.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `Field()` | Return the field that is being indexed.
    `java.lang.String` | `getCheckpointStatus()` | Return the status of any checkpoint for this table.
    `int[]` | `getGpuDevices()` |
    `boolean` | `getIsGpuIndexed()` |
    `java.lang.String` | `getLayout()` | Deprecated. Deprecated since 5.6.
    `int` | `getTranId()` | Deprecated. Use `NetricsCommonStats.getTransactionId()` to obtain the full transaction id.
    `long` | `getTransactionId()` | Returns the full ID of the transaction that owns or claim this item.
    `int` | `getTranState()` | Returns the transaction state for this object.
    `int` | `GipKBytes()` | Return the amount of memory in Kilo-Bytes used by the associated GIP indexes.
    `int` | `GpuKBytes()` |
    `int` | `IdxKBytes()` | Return the index memory usage in Kilo-Bytes.
    `java.lang.String` | `IdxType()` | Return the index type as a string name.
    `boolean` | `isDirty()` | Returns true if this item is dirty.
    `boolean` | `isHeld()` | Returns true if this object is held by an open transaction.
    `boolean` | `isPrimary()` | Return true if this is a primary index.
    `boolean` | `isUpdated()` | Returns true if this item is updated by an open transaction.
    `boolean` | `normalized()` | Return true if this indexes normalized values.
    `int` | `NumberPartitions()` | Return the number of partitions in this index.
    `java.lang.String` | `TableName()` | Return the name of the table the index is associated with.
    `java.lang.String` | `toString()` | Convert to string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetricsIdxStats

          public NetricsIdxStats​(NetricsLpar lpar)

      Create a NetricsIdxStats object from the returned LPAR. This builds an initialized index stats object from the raw LPAR returned by the server as the result of an idxlist command. If the LPAR is not valid the string value of this object will be: "<None>: No Indexes", the table name is "None" and all other values are null. If a table has no indexes the stats object will have the string value: "Table-name: No Indexes", the index type will be "None" and all other values are set to "<None>", zero or false according to their type.
      Parameters:
        `lpar` - The raw status lpar.
      See Also:
        `NetricsServerInterface.idxlist(java.lang.String[])`

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Convert to string representation. Returns a formatted string representation of the index information.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### TableName

          public java.lang.String TableName()

      Return the name of the table the index is associated with.
      Returns:
        the name of the table the index is associated with.

    - #### Field

          public java.lang.String Field()

      Return the field that is being indexed.
      Returns:
        the field that is being indexed.

    - #### IdxType

          public java.lang.String IdxType()

      Return the index type as a string name.
      Returns:
        "Primary" if a primary index, "Secondary" if a secondary index, "None" if there are no indexes on this table, "Unknown" otherwise.

    - #### isPrimary

          public boolean isPrimary()

      Return true if this is a primary index.
      Returns:
        true if this is a primary index.

    - #### normalized

          public boolean normalized()

      Return true if this indexes normalized values.
      Returns:
        true if this indexes normalized values.

    - #### NumberPartitions

          public int NumberPartitions()

      Return the number of partitions in this index.
      Returns:
        the number of partitions in this index.

    - #### IdxKBytes

          public int IdxKBytes()

      Return the index memory usage in Kilo-Bytes.
      Returns:
        the index memory usage in Kilo-Bytes.

    - #### GipKBytes

          public int GipKBytes()

      Return the amount of memory in Kilo-Bytes used by the associated GIP indexes.
      Returns:
        the amount of memory in Kilo-Bytes used by the associated GIP indexes.

    - #### getGpuDevices

          public int[] getGpuDevices()

      Returns:
        a list of gpu devices used by the index. returns null if the index is not gpu-harnessed for any reason.

    - #### getIsGpuIndexed

          public boolean getIsGpuIndexed()

      Returns:
        true if the index is GPU-accelerated.

    - #### GpuKBytes

          public int GpuKBytes()

      Returns:
        the amount of GPU memory used by the associated GIP indexes (in kbytes).

    - #### getTranState

          public int getTranState()

      Returns the transaction state for this object. If this object is not associated with a transaction this returns the special value NetricsTranStats.STATE_NULL. Otherwise it is an OR'd combination of one or more of the state values defined in NetricsTranStats.
      Specified by:
        `getTranState` in interface `NetricsCommonStats`
      Returns:
        the transaction state.

    - #### isDirty

          public boolean isDirty()

      Returns true if this item is dirty. This return trues if this item has been modified by a transaction that is not yet committed or aborted. Dirty items may not be trustworthy as the modifications may not be complete and may get rolled back if the transaction is aborted.
      Specified by:
        `isDirty` in interface `NetricsCommonStats`
      Returns:
        the dirty flag of the object.

    - #### isUpdated

          public boolean isUpdated()

      Returns true if this item is updated by an open transaction. This is not the same as the isDirty value, as an object is dirty if it was replaced, renamed, added or deleted in addition to updated. Updated indicates that some portion of the item was modified.
      Specified by:
        `isUpdated` in interface `NetricsCommonStats`
      Returns:
        the updated flag of the object.

    - #### isHeld

          public boolean isHeld()

      Returns true if this object is held by an open transaction. Held means it is being held in association with updates to another item, but it is not itself modified by the transaction. However another operation may have modified this item, so both isHeld and isDirty may return true.
      Specified by:
        `isHeld` in interface `NetricsCommonStats`
      Returns:
        the held flag of the object

    - #### getTranId

          public int getTranId()

      Deprecated.
      Use `NetricsCommonStats.getTransactionId()` to obtain the full transaction id.
      Returns a partial 32-bit id of the transaction that owns or claim this item. If this item has not been modified or held by an open transaction this will be equal to NetricsTranStats.TRAN_ID_NULL (zero).
      Specified by:
        `getTranId` in interface `NetricsCommonStats`
      Returns:
        a full transaction id.

    - #### getTransactionId

          public long getTransactionId()

      Returns the full ID of the transaction that owns or claim this item. If this item has not been modified or held by an open transaction this will be equal to NetricsTranStats.TRAN_ID_NULL (zero).
      Specified by:
        `getTransactionId` in interface `NetricsCommonStats`
      Returns:
        a full transaction id.

    - #### getLayout

          @Deprecated
          public java.lang.String getLayout()

      Deprecated.
      Deprecated since 5.6. This function always returns null.
      Specified by:
        `getLayout` in interface `NetricsCommonStats`
      Returns:
        null

    - #### getCheckpointStatus

          public java.lang.String getCheckpointStatus()

      Return the status of any checkpoint for this table. This returns a description of the checkpoint status for a file. The possible return values are:
      Last Checkpoint: yyyy/mm/dd-HH:MM:SS if the table was checkpointed
      Never Checkpointed if the table is not checkpointed
      Checkpoints Disabled if checkpointing is not enabled on this server
      No Checkpoint Info if there was an error
      Returns:
        the checkpoint status of this table.